Package ru.bitel.oss.systems.inventory.subscription.common.event

# Class SubscriptionTypeListAvailableEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.inventory.subscription.common.event.SubscriptionTypeListAvailableEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class SubscriptionTypeListAvailableEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SubscriptionTypeListAvailableEvent​(int contractId, int userId, java.util.Date date, Contract contract, java.util.Set<java.lang.Integer> tariffIds, java.util.List<Subscription> currentContractOptionList, boolean onlyAvailable, java.util.List<SubscriptionType> tariffOptionList)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Contract` | `getContract()` |
  `java.util.List<Subscription>` | `getCurrentSubscriptionList()` |
  `java.util.Date` | `getDate()` |
  `java.util.Set<java.lang.Integer>` | `getTariffIds()` |
  `java.util.List<SubscriptionType>` | `getTariffOptionList()` |
  `boolean` | `isOnlyAvailable()` |
  `void` | `setSubscriptionTypeList​(java.util.List<SubscriptionType> tariffOptionList)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SubscriptionTypeListAvailableEvent

    public SubscriptionTypeListAvailableEvent​(int contractId, int userId, java.util.Date date, Contract contract, java.util.Set<java.lang.Integer> tariffIds, java.util.List<Subscription> currentContractOptionList, boolean onlyAvailable, java.util.List<SubscriptionType> tariffOptionList)

- ## Method Details

  - ### getDate

    public java.util.Date getDate()

  - ### getContract

    public Contract getContract()

  - ### getTariffIds

    public java.util.Set<java.lang.Integer> getTariffIds()

  - ### getCurrentSubscriptionList

    public java.util.List<Subscription> getCurrentSubscriptionList()

  - ### isOnlyAvailable

    public boolean isOnlyAvailable()

  - ### getTariffOptionList

    public java.util.List<SubscriptionType> getTariffOptionList()

  - ### setSubscriptionTypeList

    public void setSubscriptionTypeList​(java.util.List<SubscriptionType> tariffOptionList)